import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * Wrapper-Klasse zum Ausfuehren von DNS-Abfragen.
 * 
 * @author Florian Janus
 * @version 2021-03-28
 */
public class DNS_Resolver
{
    public String nameAufloesen(String name)
    {
        try {
            InetAddress address = InetAddress.getByName(name);
            String ip = address.getHostAddress();
            Terminal.printTerminal(Terminal.MSGTYPE.NONE, "DNS: \"" + name + "\" -> " + ip);
            return ip;
        } catch (UnknownHostException e) {
            Terminal.printTerminal(Terminal.MSGTYPE.ERROR, "DNS: \"" + name + "\" konnte nicht aufgeloest werden!");
            return null;
        }
    }
}
